org.eclipse.emf.cdo.spi.server

## Class RepositoryFactory

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.RepositoryFactory

- All Implemented Interfaces:
    IRepositoryFactory

      public class RepositoryFactory
      extends java.lang.Object
      implements IRepositoryFactory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.IRepositoryFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRepository` | `createRepository()`
    `static IRepository` | `get(IManagedContainer container, java.lang.String name)`
    `java.lang.String` | `getRepositoryType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RepositoryFactory

          public RepositoryFactory()

  - ### Method Detail

    - #### getRepositoryType

          public java.lang.String getRepositoryType()

      Specified by:
        `getRepositoryType` in interface `IRepositoryFactory`

    - #### createRepository

          public IRepository createRepository()

      Specified by:
        `createRepository` in interface `IRepositoryFactory`

    - #### get

          public static IRepository get(IManagedContainer container,
                                        java.lang.String name)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html